import*as React from'react';import {useQuery}from'@apollo/client/react/index.js';import {getChartDetailsDocument}from'@ops-stack/core';import queryString__default from'query-string';import'react-fela';import'@remix-run/react';import'antd';import'lodash-es';import {ChartView as ChartView$1}from'../components/ChartView.js';import'@adminide-stack/core';import'../components/ChartInstallation.js';import'react-redux';import'rxjs';import'@adminide-stack/extension-api/lib/react/index.js';import'@adminide-stack/extension-api';import'@ant-design/icons';import'@admin-layout/ant-ui';const ChartView = ({
  location,
  ...props
}) => {
  const pathQuery = queryString__default.parse(location.search);
  const {
    data,
    loading
  } = useQuery(getChartDetailsDocument, {
    variables: {
      repository: pathQuery.repository,
      chartname: pathQuery.chart,
      version: pathQuery.version
    }
  });
  return React.createElement(ChartView$1, {
    loading: loading,
    data: data
  });
};export{ChartView};//# sourceMappingURL=ChartView.js.map
