export declare const charts: {
    data: ({
        attributes: {
            description: string;
            home: string;
            maintainers: {
                email: string;
                name: string;
            }[];
            name: string;
            repo: {
                URL: string;
                name: string;
                source: string;
            };
            sources: string[];
            keywords?: undefined;
        };
        id: string;
        links: {
            self: string;
        };
        relationships: {
            latestChartVersion: {
                data: {
                    app_version: string;
                    created: string;
                    digest: string;
                    readme: string;
                    urls: string[];
                    version: string;
                    icons?: undefined;
                };
                links: {
                    self: string;
                };
            };
        };
        type: string;
    } | {
        attributes: {
            description: string;
            home: string;
            keywords: string[];
            maintainers: {
                email: string;
                name: string;
            }[];
            name: string;
            repo: {
                URL: string;
                name: string;
                source: string;
            };
            sources: string[];
        };
        id: string;
        links: {
            self: string;
        };
        relationships: {
            latestChartVersion: {
                data: {
                    app_version: string;
                    created: string;
                    digest: string;
                    icons: {
                        name: string;
                        path: string;
                    }[];
                    readme: string;
                    urls: string[];
                    version: string;
                };
                links: {
                    self: string;
                };
            };
        };
        type: string;
    } | {
        attributes: {
            description: string;
            home: string;
            keywords: string[];
            maintainers: {
                email: string;
                name: string;
            }[];
            name: string;
            repo: {
                URL: string;
                name: string;
                source: string;
            };
            sources: string[];
        };
        id: string;
        links: {
            self: string;
        };
        relationships: {
            latestChartVersion: {
                data: {
                    app_version: string;
                    created: string;
                    digest: string;
                    readme: string;
                    urls: string[];
                    version: string;
                    icons?: undefined;
                };
                links: {
                    self: string;
                };
            };
        };
        type: string;
    } | {
        attributes: {
            description: string;
            home: string;
            maintainers: {
                email: string;
                name: string;
            }[];
            name: string;
            repo: {
                URL: string;
                name: string;
                source: string;
            };
            sources: string[];
            keywords?: undefined;
        };
        id: string;
        links: {
            self: string;
        };
        relationships: {
            latestChartVersion: {
                data: {
                    app_version: string;
                    created: string;
                    digest: string;
                    icons: {
                        name: string;
                        path: string;
                    }[];
                    readme: string;
                    urls: string[];
                    version: string;
                };
                links: {
                    self: string;
                };
            };
        };
        type: string;
    })[];
};
//# sourceMappingURL=mock.d.ts.map